* {
    /*    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;*/
}

html {}

body {
    background-color: #ddb47e; 
    /*padding: 2px;*/
    font-size: 18px;
    overflow-x: hidden;
    height: 100%;
    width: 100%;
}

ul {
    margin: 0px;
}

a {
    color: #ddb47e;
    text-decoration: none;
}

form {
    margin: 0px;
}

table {
    font-size: 1em;
}

.pda-left {
    float: left !important;
}

.pda-right {
    float: right !important;
}

.pda-main {
    background-color: #EEECE1;
    width: 100%;
    height: 100%;
    min-height: 100%;
}

.pda-box {
  padding: 10px;
}

.pda-wrapper {
    display: grid;
    border:1px ;
    grid-gap: 5px;
    grid-template-columns: repeat(auto-fill, minmax(200px,1fr));
    margin-bottom: 2em;
  }
  
.pda-toolbar {
    text-align: center;
    color: #FFF;
    font-weight: bold;
    /*height: 1.5em;*/
    line-height: 1.8em;
    background-color: #ddb47e;
    /*padding-top: 0.25em;*/
    position: relative;
}

.pda-toolbar-btns {
    position: relative;
    top: 0px;
    left: 0px;
    width: 100%;
}

.pda-toolbar-btn {
    padding: 1px 3px 5px 3px;
    font-size: 12px;
    line-height: 1.5em;
    height: 1em;
    margin-bottom: 0;
    display: inline-block;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    cursor: pointer;
    background-image: none;
    border-radius: 4px;
    margin: 0.15em;
    border: 2px #CCC outset;
    background-color: white;
}

.pda-toolbar-btn span {
    color: black;
    vertical-align: text-bottom;
}

.pda-content {
    overflow-x: hidden;
    overflow-y: auto!important;
    background-color: #EEECE1;
    width: 100%;
}

.pda-log-messages {
    background-color: white;
    border-radius: 0.5em;
}

.pda-log-messages ul,
ul.pda-log-messages {
    -webkit-padding-start: 0px;
}

.pda-log-messages li {
    font-size: x-small;
    list-style: none;
    padding: 4px;
    border-bottom: 1px solid #ccc
}

.pda-danger {
    color: #a94442;
    background-color: #f2dede;
}

.pda-warning {
    color: #8a6d3b;
    background-color: #fcf8e3;
}

.pda-info {
    color: #31708f;
    background-color: #d9edf7;
}

.pda-success {
    color: #3c763d;
    background-color: #dff0d8;
}

.pda-list-group {
    padding-left: 0;
    margin-bottom: 20px;
}

.pda-list-group-item {
    position: relative;
    display: block;
    margin-bottom: -1px;
    border: 1px solid #ddd;
}

.pda-list-group-item:first-child {
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;
}

.pda-list-group-item:last-child {
    margin-bottom: 0;
    border-bottom-right-radius: 4px;
    border-bottom-left-radius: 4px;
}

.pda-text-center {
    text-align: center;
}

.pda-control-label {
    text-align: left;
    vertical-align: middle;
    padding: 5px;
}

.pda-center-block {
    display: block;
    margin-right: auto;
    margin-left: auto;
}

.pda-message-text {
    padding: 5px;
    text-align: center;
}

.pda-btn {
    display: inline-block;
    padding: 6px 12px;
    margin: 0px;
    font-size: 14px;
    font-weight: normal;
    line-height: 1.42857143;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    -ms-touch-action: manipulation;
    touch-action: manipulation;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-image: none;
    border: 1px solid transparent;
    border-radius: 4px;
}

.pda-btn:focus,
.pda-btn:active:focus,
.pda-btn.active:focus,
.pda-btn.focus,
.pda-btn:active.focus,
.pda-btn.active.focus {
    outline: thin dotted;
    outline: 5px auto -webkit-focus-ring-color;
    outline-offset: -2px;
}

.pda-btn:hover,
.pda-btn:focus,
.pda-btn.focus {
    color: #333;
    text-decoration: none;
}

.pda-btn:active,
.pda-btn.active {
    background-image: none;
    outline: 0;
    -webkit-box-shadow: inset 0 3px 5px rgba(0, 0, 0, .125);
    box-shadow: inset 0 3px 5px rgba(0, 0, 0, .125);
}

.pda-btn.disabled,
.pda-btn[disabled],
fieldset[disabled] .pda-btn {
    cursor: not-allowed;
    filter: alpha(opacity=65);
    -webkit-box-shadow: none;
    box-shadow: none;
    opacity: .65;
}

a.pda-btn.disabled,
fieldset[disabled] a.pda-btn {
    pointer-events: none;
}

.pda-btn-default {
    color: #333;
    background-color: #fff;
    border-color: #ccc;
}

.pda-btn-default.disabled,
.pda-btn-default[disabled],
fieldset[disabled] .pda-btn-default {
    background-color: #fff;
    border-color: #ccc;
}

.pda-btn-primary {
    color: #fff;
    background-color: #ddb47e;
    border-color: #ddb47e;
}

.pda-btn-primary.disabled,
.pda-btn-primary[disabled],
fieldset[disabled] .pda-btn-primary {
    background-color: #337ab7;
    border-color: #2e6da4;
}

.pda-btn-success {
    color: #fff;
    background-color: #5cb85c;
    border-color: #4cae4c;
}

.pda-btn-success.disabled,
.pda-btn-success[disabled],
fieldset[disabled] .pda-btn-success,
{
    background-color: #5cb85c;
    border-color: #4cae4c;
}

.pda-btn-info {
    color: #fff;
    background-color: #5bc0de;
    border-color: #46b8da;
}

.pda-btn-info.disabled,
.pda-btn-info[disabled],
fieldset[disabled] .pda-btn-info,
{
    background-color: #5bc0de;
    border-color: #46b8da;
}

.pda-btn-warning {
    color: #fff;
    background-color: #f0ad4e;
    border-color: #eea236;
}

.pda-btn-warning.disabled,
.pda-btn-warning[disabled],
fieldset[disabled] .pda-btn-warning,
{
    background-color: #f0ad4e;
    border-color: #eea236;
}

.pda-btn-danger {
    color: #fff;
    background-color: #d9534f;
    border-color: #d43f3a;
}

.pda-btn-danger.disabled,
.pda-btn-danger[disabled],
fieldset[disabled] .pda-btn-danger {
    background-color: #d9534f;
    border-color: #d43f3a;
}

.pda-btn-link {
    font-weight: normal;
    color: #337ab7;
    border-radius: 0;
}

.pda-btn-link,
.pda-btn-link:active,
.pda-btn-link.active,
.pda-btn-link[disabled],
fieldset[disabled] .pda-btn-link {
    background-color: transparent;
    -webkit-box-shadow: none;
    box-shadow: none;
}

.pda-btn-link,
.pda-btn-link:hover,
.pda-btn-link:focus,
.pda-btn-link:active {
    border-color: transparent;
}

.pda-btn-link:hover,
.pda-btn-link:focus {
    color: #23527c;
    text-decoration: underline;
    background-color: transparent;
}

.pda-btn-link[disabled]:hover,
fieldset[disabled] .pda-btn-link:hover,
.pda-btn-link[disabled]:focus,
fieldset[disabled] .pda-btn-link:focus {
    color: #777;
    text-decoration: none;
}

.pda-btn-lg,
.pda-btn-group-lg > .pda-btn {
    padding: 10px 16px;
    font-size: 18px;
    line-height: 1.3333333;
    border-radius: 6px;
}

.pda-btn-sm,
.pda-btn-group-sm > .pda-btn {
    padding: 5px 10px;
    font-size: 12px;
    line-height: 1.5;
    border-radius: 3px;
}

.pda-btn-xs,
.pda-btn-group-xs > .pda-btn {
    padding: 1px 5px;
    font-size: 12px;
    line-height: 1;
    border-radius: 3px;
    height: 20px;
}

.pda-btn-block {
    display: block;
    width: 100%;
}

.pda-btn-block + .pda-btn-block {
    margin-top: 5px;
}

.pda-form-control {
    display: block;
    min-height: 1em;
    width: 12em;
    padding: 4px;
    /*font-size: 14px;*/
    /*line-height: 1.42857143;*/
    background-image: none;
}

.pda-form-control:focus {
    border-color: #66afe9;
    outline: 0;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 8px rgba(102, 175, 233, .6);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 8px rgba(102, 175, 233, .6);
}

.pda-form-control::-moz-placeholder {
    color: #999;
    opacity: 1;
}

.pda-form-control:-ms-input-placeholder {
    color: #999;
}

.pda-form-control::-webkit-input-placeholder {
    color: #999;
}

.pda-form-control[disabled],
.pda-form-control[readonly],
fieldset[disabled] .pda-form-control {
    background-color: #eee;
    opacity: 1;
}

.pda-form-control[disabled],
fieldset[disabled] .pda-form-control {
    cursor: not-allowed;
}

textarea.pda-form-control {
    height: auto;
}

.pda-form-control a,
.pda-form-control button {
    float: right;
    border-left: 1px solid #CCC;
    margin-top: -4px;
    margin-bottom: -4px;
    padding-bottom: 6px;
    padding-left: 4px;
    padding-top: 4px;
}

select.pda-form-control {
    width: 10em;
}

.pda-user-info {
    font-size: x-small;
    font-weight: bold;
    padding: 5px;
}

.pda-user-info span.right {
    float: right;
}

.pda-main-menu {
    padding: 16px 0px;
}

.pda-main-menu .pda-btn {
    display: block !important;
    margin: 0px 5px 2px 5px;
}

.pda-form {
    margin: 0.5em;
    font-size: medium;
}

table.pda-form th,
table.pda-form td {
    border: 1px solid #ddb47e;
    padding: 0.5em;
}

table.pda-form .pda-control-label {
    font-weight: bold;
}

.pda-hide {
    display: none !important;
}

.pda-show {
    display: block !important;
}

.pda-form-input {
    white-space: nowrap;
}

.pda-form-input a {
    vertical-align: middle;
}

.pda-form-input button {
    vertical-align: text-top;
    background-color: transparent;
    border: none;
    padding: 0;
}

.pda-form-control form {
    min-height: 1em;
    padding: 0px;
    margin: 0px;
}
